package tutorial.model
{	
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	
	import mx.controls.Alert;
	import mx.rpc.AsyncToken;
	import mx.rpc.IResponder;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import mx.rpc.http.HTTPService;
	
	import org.puremvc.as3.interfaces.IProxy;
	import org.puremvc.as3.patterns.proxy.Proxy;
	
	import tutorial.ApplicationFacade;

	public class UsersProxy extends Proxy implements IProxy
	{
		public static const NAME:String = "UsersProxy";
		
		public function UsersProxy()
		{
			super(NAME);
		}
		
		public function load():void
		{
			var service : HTTPService = new HTTPService();
			service.url = "http://localhost/ria/06_PureMVC/users.xml";
			service.showBusyCursor = true;
			service.resultFormat="xml";
			service.addEventListener(ResultEvent.RESULT, onResult);
			service.addEventListener(FaultEvent.FAULT, onFault);
			service.send();
		}
		
		private function onResult(event:ResultEvent):void
		{
			var users:XML = new XML(event.result);
			sendNotification(ApplicationFacade.LOADUSERS_COMPLETE, users);	
		}
		
		private function onFault(event:FaultEvent):void
		{
			Alert.show("onFault");
		}
	}
}
